class FarbTafel {
  
float r1,g1,b1;
float r2,g2,b2;

color[] farbenAnker8192; 
color[] farben8192;
color[] farbenAnker1024; 
color[] farben1024;
color[] farbenAnker8192Bonbon; 
color[] farben8192Bonbon;
color[] farbenAnker8192B; 
color[] farben8192B;
color[] farbenAnker8192R; 
color[] farben8192R;
color[] farbenAnker1024G; 
color[] farben1024G;
color[] farbenAnker1024Grau;
color[] farben1024Grau;


float S1 ; 
float S2 ; 


void farbTafelErzeugen(){
//Farbtafel farben8292 ////////////////////////////////////////////////////////////
  farbenAnker8192 = new color[65];//Initialsierung
 
  for(int i=0;i<65;i++){
     farbenAnker8192[i] = color(0);
  }
  farben8192 = new color[8192];
   for(int i=0;i<8192;i++){
     farben8192[i] = color(0);
  }  
  for(int j=0; j<65; j++){
    farbenAnker8192[j] = farbeBestimmen( farbenAnker8192[j]);     
  }   
  for(int i=0; i<64; i++){
    zwischenFarbenBestimmen(i*128,farbenAnker8192[i],farbenAnker8192[i+1]);
  }
 //----------------------------------------------------------------------------

  //Farbtafel farben1024/////////////////////////////////////////////////////////
  farbenAnker1024 = new color[17];//Initialsierung
  
  for(int i=0;i<17;i++){
     farbenAnker1024[i] = color(0);
  }  
  farben1024 = new color[1024];
   for(int i=0;i<1024;i++){
     farben1024[i] = color(0);
  }
  for(int i=0; i<17; i++){
     farbenAnker1024[i] = farbeBestimmen(farbenAnker1024[i]);   
  }
  for(int i=0; i<16; i++){
    zwischenFarbenBestimmen1024(i*64,farbenAnker1024[i],farbenAnker1024[i+1]);
  }
  //------------------------------------------------------------------------
  
  //Farbtafel farben8192Bonbon
  farbenAnker8192Bonbon = new color[65];//Initialsierung
  for(int i=0;i<64;i++){
     farbenAnker8192Bonbon[i] = color(255);
  }
  farben8192Bonbon = new color[8192];
   for(int i=0;i<8192;i++){
     farben8192Bonbon[i] = color(255);
  }
  for(int j=0; j<64; j++){
    colorMode(HSB,256,256,256);
    farbenAnker8192Bonbon[j] = color(random(255),255,255);  //HSB- Farben als Anker   
  }   
  //Hier werden die Farben von farben8192Bonbon bestimmt.
  for(int i=0; i<64; i++){
    zwischenFarbenBestimmenBonbon8192(i*128,farbenAnker8192Bonbon[i],farbenAnker8192Bonbon[i+1]);
  }
//----------------------------------------------------------------------------------------------------------  

  //Farbtafel farben8192B
  farbenAnker8192B = new color[65];//Initialsierung
 
  for(int i=0;i<65;i++){
     farbenAnker8192B[i] = color(0);
  }
  farben8192B = new color[8192];
   for(int i=0;i<8192;i++){
     farben8192B[i] = color(0);
  }  
  for(int j=0; j<65; j++){
    colorMode(RGB,256,256,256);
    farbenAnker8192B[j] = color(0,0,random(80,255));     
  }   
  for(int i=0; i<64; i++){
    colorMode(RGB,256,256,256);
    zwischenFarbenBestimmenB(i*128,farbenAnker8192B[i],farbenAnker8192B[i+1]);
  }
 //-------------------------------------------------------------
 
 //farbTafel farben8192R
  farbenAnker8192R = new color[65];//Initialsierung
 
  for(int i=0;i<65;i++){
     farbenAnker8192R[i] = color(0);
  }
  farben8192R = new color[8192];
   for(int i=0;i<8192;i++){
     farben8192R[i] = color(0);
  }  
  for(int j=0; j<65; j++){
    colorMode(RGB,256,256,256);
    farbenAnker8192R[j] = color(random(80,255),0,0);     
  }   
  for(int i=0; i<64; i++){
    colorMode(RGB,256,256,256);
    zwischenFarbenBestimmenR(i*128,farbenAnker8192R[i],farbenAnker8192R[i+1]);
  }
  //-------------------------------------------------------------
  
  //farbTafel farben1024G
   farbenAnker1024G = new color[17];//Initialsierung
  
  for(int i=0;i<17;i++){
     farbenAnker1024G[i] = color(0);
  }  
  farben1024G = new color[1024];
   for(int i=0;i<1024;i++){
     farben1024G[i] = color(0);
  }
  for(int i=0; i<17; i++){
     farbenAnker1024G[i] = color(0,random(80,255),0);   
  }
  for(int i=0; i<16; i++){
    zwischenFarbenBestimmenG(i*64,farbenAnker1024G[i],farbenAnker1024G[i+1]);
  }
  //------------------------------------------------------------------
   //farbTafel farben1024Grau
   farbenAnker1024Grau = new color[17];//Initialsierung
  
  for(int i=0;i<17;i++){
     farbenAnker1024Grau[i] = color(0);
  }  
  farben1024Grau = new color[1024];
   for(int i=0;i<1024;i++){
     farben1024Grau[i] = color(0);
  }
  for(int i=0; i<17; i++){
     farbenAnker1024Grau[i] = color(random(255));   
  }
  for(int i=0; i<16; i++){
    zwischenFarbenBestimmenGrau(i*64,farbenAnker1024Grau[i],farbenAnker1024Grau[i+1]);
  }
} 


///////////////////////////////////////////////////////////////
color farbeBestimmen(color f){
  color farbe = color(0);//Initialisierung
  r2=random(256);
  g2=random(256);
  b2=random(256);
  S1 =red(f)+green(f)+blue(f); 
  S2 = r2+g2+b2; 
  while(abs(S1-S2)<255){
     r2=random(256);
     g2=random(256);
     b2=random(256);  
     S2 = r2+g2+b2;     
  }
  farbe = color(r2,g2,b2);
  return farbe;
}


void zwischenFarbenBestimmen(int k, color f1, color f2){
   int start = k;
   for(int i=start; i<128+start;i++){
      farben8192[i] = lerpColor(f1,f2,(float)(i-start)/128);
   }
}

void zwischenFarbenBestimmen1024(int k, color f1, color f2){
   int start = k;
   for(int i=start; i<64+start;i++){   
      farben1024[i] = lerpColor(f1,f2,(float)(i-start)/64);
   }
}

 void zwischenFarbenBestimmenBonbon8192(int k, color f1, color f2){//...für farben8192Bonbon
     int start = k;
     for(int i=start; i<128+start;i++){     
        farben8192Bonbon  [i] = lerpColor(f1,f2,(float)(i-start)/128);    
     }
  }

void zwischenFarbenBestimmenB(int k, color f1, color f2){
   int start = k;
   for(int i=start; i<128+start;i++){      
      farben8192B[i] = lerpColor(f1,f2,(float)(i-start)/128);
   }
}

void zwischenFarbenBestimmenR(int k, color f1, color f2){
   int start = k;
   for(int i=start; i<128+start;i++){
      farben8192R[i] = lerpColor(f1,f2,(float)(i-start)/128);
   }
}

void zwischenFarbenBestimmenG(int k, color f1, color f2){
   int start = k;
   for(int i=start; i<64+start;i++){
      farben1024G[i] = lerpColor(f1,f2,(float)(i-start)/64);
   }
}

void zwischenFarbenBestimmenGrau(int k, color f1, color f2){
   int start = k;
   for(int i=start; i<64+start;i++){
      farben1024Grau[i] = lerpColor(f1,f2,(float)(i-start)/64);
   }
}



  
}
