//Julia Fraktale mit Farbtafel, Complex und MT
ArrayList<Threads> threads;
FarbTafel farben;
Complex zNeu,zAlt,C,z0,z1,z,zA,zB;
double xU = -3.5; 
double yU = -3.5; 
double xO = 3.5;
double yO = 3.5;
double zoomFaktor=1;
double wh = xO-xU;
double D;
double laenge,l0,l1;
double a,b;
double x0,y0;
int maxiterations = 30;//
double massFuerUnendlich = 100;//auch hier
int nummerThread;
int anzahlThreads = Runtime.getRuntime().availableProcessors()-4; 
float fFaktor=1;
boolean schwarz = true;
boolean fLog = false;
boolean verhaltenAB = false;
boolean grauWerte = false;
boolean abhaengigWL = false;

void setup() {
  background(255);
  noLoop();
  colorMode(RGB);
  threads = new  ArrayList<Threads>(); 
  farben= new FarbTafel();
  farben.farbTafelErzeugen();
  size(1200, 1200);
  C = new Complex(x0,y0);
  zAlt = new Complex(0,0); 
  zNeu = new Complex(0,0);
  x0 = 0.4857141971588135 ;  y0 = 0.6178572177886963 ; 
  nummerThread =0;
  //println("Anzahl Threads: "+anzahlThreads);
  //starte anzahlThreads Threads
  starteThreads(xU, yU, maxiterations, massFuerUnendlich, wh, nummerThread, x0, y0);
  
}

/////////////////////////////////////////////////////////////////

void starteThreads(double px, double py, int pmaxiterations, double pUnendlich, double pwh, int nummer, double X0, double Y0){
  
  xU = px; yU = py;
  x0 = X0; y0 = Y0;
  nummerThread = nummer;
  maxiterations = pmaxiterations;
  massFuerUnendlich = pUnendlich;
  wh = pwh;//println(wh/anzahlThreads); double y= yU;
  double  y= yO-wh/anzahlThreads;
  while(nummerThread <anzahlThreads){
        Threads t = new Threads(xU,y,maxiterations,massFuerUnendlich,wh/anzahlThreads, nummerThread,x0,y0);
        //println(xU,y,maxiterations,massFuerUnendlich,wh/anzahlThreads, nummerThread);
        threads.add(t);
        t.start(); 
        nummerThread++;
        y=y-wh/anzahlThreads;
        //delay(5);//zur Verringerung der Pixelfehler
    
  }
  
}
//////////////////////////////////////////////////////////////

void draw() {
  
  // die Draw-Methode fügt die PGraphics-Zeichenflächen
  // der Threads zu einem Bild zusammen
  // Warten bis alle Threads fertig sind
 
  for(Threads t: threads){
      while (t.running){       
            try{
            Thread.sleep(10);  
            }catch (Exception e) {  }  ;                
       }
  }
  
  for (int i=0; i<threads.size(); i++){
    image(threads.get(i).pg,0,i*height/anzahlThreads);   
  }  
  println("Fertig!");   
  for(int i=0;i<anzahlThreads;i++){
     threads.remove(anzahlThreads-1-i);
  } 
  noLoop();


}

/////////////////////////////////////////////////////////////////
void mousePressed() { 
     nummerThread =0;
     threads = new  ArrayList<Threads>(); 
     double xUNeu, xONeu, yUNeu, yONeu;//Temp. Speicher
     
     if (mouseButton == LEFT){
        xUNeu = map(mouseX,0,width,(float)xU,(float)xO)-(xO-xU)/10;
        xONeu = map(mouseX,0,width,(float)xU,(float)xO)+(xO-xU)/10; 
        xU = xUNeu; xO = xONeu; 
        //println(xU,xO);
        yUNeu = map(mouseY,height,0,(float)yU,(float)yO)-(yO-yU)/10;
        yONeu = map(mouseY,height,0,(float)yU,(float)yO)+(yO-yU)/10; 
        yU =yUNeu; yO = yONeu; 
        wh = wh/5;
        zoomFaktor =zoomFaktor*5;
        println("Zoomfaktor: "+zoomFaktor);
        starteThreads(xU, yU, maxiterations, massFuerUnendlich, wh, nummerThread,x0,y0);
  
        redraw();
     }
     
     if (mouseButton == RIGHT){   
           // berechne, wo der Mauszeiger im gezeigten Ausschnitt der komplexen
           // Zahlenebene ist (Transformation Pixelposition nach (x,y))
           x0 = map(mouseX,0,width,(float)xU,(float)xO);
           y0 = map(mouseY,height,0,(float)yU,(float)yO);
           println("x0 = "+x0+" ; "+" y0 = "+y0+" ; ");
           starteThreads(xU, yU, maxiterations, massFuerUnendlich, wh, nummerThread,x0,y0);
  
           redraw();          
     }
}  
/////////////////////////////////////////////////////////////////
void keyPressed() {
  if (key == '1'){
      x0 = 0.9099998474121094 ;  y0 = -0.2625000476837158 ; 
      println("x0 = "+x0+" ; "+" y0 = "+y0+" ; ");    
  }
  if (key == '2'){
      x0 = 3.4066667556762695 ;  y0 = -0.023333311080932617 ; 
      println("x0 = "+x0+" ; "+" y0 = "+y0+" ; ");
  }
  if (key == '3'){
      x0 = 0.16333317756652832 ;  y0 = 0.2975001335144043 ; 
      println("x0 = "+x0+" ; "+" y0 = "+y0+" ; ");
  }
  if (key == '4'){
     x0 = 1.0 ;  y0 = 1.0300002098083496 ; 
      println("x0 = "+x0+" ; "+" y0 = "+y0+" ; ");
  }
   if (key == '5'){
      x0 = 0.34642863273620605 ;  y0 = -0.07857143878936768 ; 
      println("x0 = "+x0+" ; "+" y0 = "+y0+" ; ");
  }
  //Wahl von c: -----------------------------------------
  if(key == 'x'){//ein kleines Stück zurück nach links
      x0 = x0-0.005;
      println("x0 = "+x0+" ; ");
  }
  if(key == 'p'){//ein kleines Stück zurück nach rechts
      x0 = x0+0.005;
      println("x0 = "+x0+" ; ");
  }
   if(key == 'y'){//ein kleines Stück zurück nach oben
      y0 = y0-0.005;
      println("y0 = "+y0+" ; ");
  }
  if(key == 'q'){//ein kleines Stück zurück nach unten
      y0 = y0+0.005;
      println("y0 = "+y0+" ; ");
  }
  //----------------------------------------------------
  if(key == 'm'){
      fFaktor = 2*fFaktor;
      println("Farbfaktor = "+fFaktor);
  }
  if(key == 'w'){
      fFaktor = fFaktor/2.0;
      println("Farbfaktor = "+fFaktor);
  }
  if (key == '+'){
     background(0);
     maxiterations *= 1.2; println("Iterationsgrenze: "+maxiterations);
  }
  if (key == '-') {
      background(0);
      maxiterations /= 1.2;println("Iterationsgrenze: "+maxiterations);
  }
   if (key == 'z'){
     double xUNeu, xONeu, yUNeu, yONeu;//Temp. Speicher
     background(0);
     xUNeu = xU+0.25*(xO-xU);yUNeu = yU+0.25*(yO-yU);
     xONeu = xO-0.25*(xO-xU);yONeu = yO-0.25*(yO-yU);
     xU = xUNeu;xO = xONeu; 
     yU =yUNeu; yO = yONeu; 
     wh=wh/2;
     zoomFaktor =zoomFaktor*2;
     println("Zoomfaktor: "+zoomFaktor);
  }
  if (key == 'l'){
     background(0);
     xO = xO + wh/10;
     xU = xU + wh/10;
     println("Verschiebung nach Links");
  }
  if (key == 'r'){
     background(0);
     xO = xO - wh/10;
     xU = xU - wh/10;
     println("Verschiebung nach Rechts");
  }
   if (key == 'u'){
     background(0);
     yO = yO + wh/10;
     yU = yU + wh/10;
     println("Verschiebung nach unten");
  }
  if (key == 'o'){
     background(0);
     yO = yO - wh/10;
     yU = yU - wh/10;
     println("Verschiebung nach oben");
  }
  if (key == 'b'){
     background(0); 
     schwarz=!schwarz;
     println("Hintergrund schwarz: "+schwarz);
  }  
  if (key == 'f'){
     background(0); 
     fLog=!fLog;
     println("Farbgebung logarithmisch: "+fLog);
  }  
  if (key == 'v'){
     background(0); 
     verhaltenAB=!verhaltenAB;
     println("DifferenzierungAB: "+verhaltenAB);
  }  
  if (key == 'g'){
     background(0); 
     grauWerte = !grauWerte;
     println("Grauwerte ausgeben: "+grauWerte);
  }  
  if (key == 'c'){
     background(0); 
     abhaengigWL = !abhaengigWL;
     println("Winkel- und Länagensumme abhängig: "+abhaengigWL);
  }  
  
  nummerThread =0;
  threads = new  ArrayList<Threads>(); 
  starteThreads(xU, yU, maxiterations, massFuerUnendlich, wh, nummerThread,x0,y0);
  redraw();
  
  if (key == 's') save("juliaEZ2pCBio.jpg");
  
  }
/////////////////////////////////////////////////////////////////
