//class MyThread extends Threads...

class Threads extends Thread {
  Complex zNeu,zAlt,c,C,zNeu1;
  Complex e = new Complex(2.718281828459045,0) ;
  double xmin,ymin;
  color farbe;
  PGraphics pg;
  int maxiterations;
  int tN;
  int maxN =0; //Kontrolle
  double massFuerUnendlich;
  double wh;
  protected boolean running = false;
  int zaehlen;
  double laenge;
  int farbIndex =0;
  double fWert;
  float A,B,Aalt,Balt;
  boolean aGroesser = false;
  boolean bGroesser = false;
  color col,colOrdnung;
  float ergebnis =0;
  float[]SW;//Summe Winkel
  float[]SL;//Summe Längen
  float Walt,Wneu;
  float dW; //Differenzwinkel
  //-----------------------------------------
  // Thread anlegen und Parameter übergeben
  //-----------------------------------------
  
  public Threads(double px0, double py0, int pmaxiterations, double pmUnendlich, double pwh, int nummer, double X0, double Y0) {
    // benötigte Parameter
    tN = nummer; 
    wh = pwh;
    xmin=px0; ymin=py0; 
    x0 = X0; y0 = Y0;
    maxiterations = pmaxiterations;
    massFuerUnendlich = pmUnendlich; 
    SW = new float[anzahlThreads];
    SL = new float[anzahlThreads];
    for(int i =0; i<anzahlThreads;i++){     
       SW[i] = 0;     
       SL[i] = 0;
    }
    C = new Complex(X0,Y0);
    pg = createGraphics(width,height/anzahlThreads);
   
  }
  
  public int gibNummer(){
   
    return tN;   
  }

 //////////////////////////////////////////////////////////////
  
  public void run() {
    tN =this.gibNummer(); //println(tN);
    this.running = true;
    int K = tN; 
    pg.beginDraw();
      pg.loadPixels();
        // x wird von xmin nach ixmax iteriert
        double xmax = xmin + anzahlThreads*wh;
        //println("x: "+xmin,xmax);//Information
        double ymax = ymin + wh;
        //println(tN,xmax,ymax);//Information
      
        // die inkrimentelle Erhoehung für x und y
        double dx = (xmax - xmin) / (pg.width);
        double dy = (ymax - ymin) / (pg.height);
      
        double y = ymin;
         for (int j =pg.height-1; j >= 0; j--) {  
          double x = xmin; //println(x,y);
          for (int i = 0; i < pg.width; i++) {
            c = new Complex(x,y);           
            color F = juliaColorizing(c,K);
            pg.pixels[i+j*pg.width] = F;         
            x += dx; 
          }
          y += dy;
        }
       pg.updatePixels();     
    pg.endDraw();   
    this.running = false;
   
  }
  
/////////////////////////////////////////////////////////////////////
color juliaColorizing(Complex Z0, int K) {
 
  Aalt = 0; Balt = 0;
  zAlt = Z0;
  int n = 0;
  SW[K]=0;SL[K]=0;
  aGroesser = false;
  bGroesser = false;
  while (n < maxiterations) {  
    zNeu = zAlt.multiply(zAlt);
    zNeu = e.power(zNeu);
    zNeu = zNeu.addC(C);
  
    A = abs((float)zNeu.re);
    B = abs((float)zNeu.im);
    Wneu = inversTangens(A,B); 
    Aalt = abs((float)zAlt.re);
    Balt = abs((float)zAlt.im);
    Walt = inversTangens(Aalt,Balt); 
    dW = abs(Wneu-Walt);
    SW[K] = SW[K] + dW; 
    SL[K] = SL[K] + (float)zNeu.subtractC(zAlt).getLength();
    laenge =zNeu.getLength();
    if (laenge > massFuerUnendlich) {
      break;  // Bail
    }  
    zAlt = zNeu;
    n++;    
  }
   if (A <massFuerUnendlich || B<massFuerUnendlich){//A ODER B sind klein: Einer kann groß sein
        if(A>=massFuerUnendlich) aGroesser = true;
        if(B>=massFuerUnendlich) bGroesser = true;
        if(!abhaengigWL){
          if(!fLog) fWert = n*laenge/5.0;
          else fWert = 16*n*Math.log10(laenge+2);
        }else{          
          if(!fLog)fWert = SW[K]*n*SL[K]/2.0;
          else fWert = 16*SW[K]*n*Math.log10(SL[K]+2);
        }
   }
   else{ // A >= massFuerUnendlich && B>=massFuerUnendlich: Divergenz:A UND B groß
     fWert= 0;
   }
   if(grauWerte){
     
     farbIndex =round((float)(fFaktor*fWert) % 1023);    
     col = farben.farben1024Grau[farbIndex];  
      if(farbIndex==0 && schwarz) col =color(0);
      else if(farbIndex==0 && !schwarz) col =color(255);    
     return col;
     
   }else{
    if (n == maxiterations){
       farbIndex =round((float)(fFaktor*fWert) % 1023);    
       colOrdnung = farben.farben1024G[farbIndex];  
       return colOrdnung;
    }else{
     // farbIndex =round( (float)(fFaktor*fWert) % 8191)  ;
       farbIndex =round( (float)(fFaktor*fWert) % 8191)  ;
      if(farbIndex==0 && schwarz) col =color(0);
      else if(farbIndex==0 && !schwarz) col =color(255);    
      else if(!verhaltenAB) bunt();  
        else  differenzierungAB();          
     }  
     return col;   
    }
  }
  
  void differenzierungAB(){
      if(aGroesser) col = farben.farben8192B[farbIndex];
            else if(bGroesser) col = farben.farben8192R[farbIndex];    
  }
  
  void bunt(){
     if(!schwarz)col = farben.farben8192[farbIndex];
        else col = farben.farben8192Bonbon[farbIndex];   
  }
  
  float inversTangens(float z, float n){
    if(z>=0 && n >0) ergebnis = atan(z/n);
    if(z<=0 && n >0) ergebnis = PI+atan(z/n);
    if(z<=0 && n <0) ergebnis = PI+atan(z/n);
    if(z>=0 && n <0) ergebnis = 2*PI+atan(z/n);
  return  ergebnis;
 }
 float winkel(float E, float F){  
    float w = 0;
    if(F>=0) w= atan(E/F);
    else w= PI+atan(E/F);
    return w;
 }
  
  
}

 
 
 
 
 
 
 
 
 
 
