
float xmin = -2; 
float ymin = -2; 
float wh = 4;
int maxiterations = 500;
float imRealOut = 500;
float massFuerUnendlich = 700;
float c0,c1;
float x0,y0;
float a,A,A1,A2;
float b,B,B1,B2;
float twoab;
int wahl = 2;
int n;
boolean out;
int tastenH = 50;
int anzahlT;
boolean[] tasteAktiv;
boolean tastenWechsel=true;
boolean farbig=false;
char[] tBeschriftung;
PFont font;


//------------------------------------------------

void setup() {
  size(800, 850);
  colorMode(RGB);
  noLoop();
  c0 = (float)random(-2,2);
  c1 = (float)random(-2,2);
  println("c = "+c0+"+"+c1+"i");
  font = createFont("Arial",24);
  rectMode(CENTER);
  textSize(24);  
  for(int i=0; i <anzahlT;i++) tasteAktiv[i]=false;
  String s = "c23468";
  anzahlT = s.length();
  tasteAktiv = new boolean[anzahlT];
  tBeschriftung = new char[anzahlT];
  for(int i= 0; i<anzahlT; i++) tBeschriftung[i] = s.charAt(i);
  for(int i=0; i <anzahlT;i++) tasteAktiv[i]=false;
}

//------------------------------------------------

void draw() {

  loadPixels();
  // x wird von xmin nach ixmax iteriert
  float xmax = xmin + wh;
  float ymax = ymin + wh;

  // die inkrmentelle Erhoehung für x und y
  float dx = (xmax - xmin) / (width);
  float dy = (ymax - ymin) / (height);

  float y = ymin;
  for (int j = 0; j < height; j++) {
    float x = xmin;
    for (int i = 0; i < width; i++) {
      juliaIteration(x, y);
      pixels[i+j*width] = juliaIteration(x, y);
      
      x += dx;
    }
    y += dy;
  }
  updatePixels();
  tastenZeichnen();
  strokeWeight(6);
  line(0,0,width,0);
  line(0,0,0,height);
  line(width,0,width,height);
}
//---------------------------------------------------------------------

color juliaIteration(float x, float y) {

  out = false;
  a = x;
  b = y;
  switch(wahl){
    
  case 2:
    iteration2();
    break;
    
  case 3:
    iteration3();
    break;
    
  case 4:
    iteration4();
    break;
    
  case 5:
    iteration6();
    break;
    
  case 6:
    iteration26();
    break;
  
  }
  if((abs(a)<imRealOut || abs(b)<imRealOut) && n!=maxiterations)out = true;
  if(out && n!=maxiterations)  return color(0);
  else return color(255);
 
}
//---------------------------------------------
void hochZwei(){
    A = a*a-b*b;
    B =  2*a*b;    
    A = A + c0;
    B = B + c1;
}
//---------------------------------------------------
void iteration2(){
   n = 0;
   while (n < maxiterations) {        
    hochZwei();    
    if (sqrt(sq(a) + sq(b)) > massFuerUnendlich) {
      break;  // Bail
    }
    a = A; b = B;
    n++;
  }
}
//---------------------------------------
void hochDrei(){
    A = a*a*a-3*a*b*b;    
    B = 3*a*a*b-b*b*b;;
    A = A + c0;
    B = B + c1;
}
//---------------------------------------------
void iteration3(){
   n = 0;
   while (n < maxiterations) {        
    hochDrei();    
    if (sqrt(sq(a) + sq(b)) > massFuerUnendlich) {
      break;  // Bail
    }
    a = A; b = B;
    n++;
  }
}
//-------------------------------------------------------------
void hochVier(){
    A  = a*a-b*b;
    B  =  2*a*b;   
    A1 = A*A-B*B;
    B1 = 2*A*B;
    A1 = A1 + c0;
    B1 = B1 + c1;
}
//---------------------------------------------
void iteration4(){
   n = 0;
   while (n < maxiterations) {        
    hochVier();    
    if (sqrt(sq(a) + sq(b)) > massFuerUnendlich) {
      break;  // Bail
    }
    a = A1; b = B1;
    n++;
  }
}
//---------------------------------------
void hochSechs(){
    A = a*a*a-3*a*b*b;    
    B = 3*a*a*b-b*b*b;;    
    A1 = A*A-B*B;
    B1 = 2*A*B;
    A1 = A1 + c0;
    B1 = B1 + c1;    
   
}
//---------------------------------------------
void iteration6(){
   n = 0;
   while (n < maxiterations) {        
    hochSechs();    
    if (sqrt(sq(a) + sq(b)) > massFuerUnendlich) {
      break;  // Bail
    }
    a = A1; b = B1;
    n++;
  }
}
//---------------------------------------
void hochZweiSechs(){
    A = a*a*a-3*a*b*b;    
    B = 3*a*a*b-b*b*b;;    
    A1 = A*A-B*B;
    B1 = 2*A*B;
    
    A2 = a*a-b*b;
    B2 =  2*a*b;    
    
    A1 = A1+A2;
    B1 = B1+B2;
    
    A1 = A1 + c0;
    B1 = B1 + c1;    
   
}
//---------------------------------------------
void iteration26(){
   n = 0;
   while (n < maxiterations) {        
    hochZweiSechs();    
    if (sqrt(sq(a) + sq(b)) > massFuerUnendlich) {
      break;  // Bail
    }
    a = A1; b = B1;
    n++;
  }
}
//------------------------------------------------

void mousePressed() {

  if(mouseY < height-tastenH){  
  float x = xmin + wh*mouseX/width;
  float y = ymin + wh*mouseY/height;

  x0 = x; 
  y0 = y;

 
  if (mouseButton == LEFT) wh*=0.66; 
  else wh/=0.66;

 
  xmin = x-wh/2.0;
  ymin = y-wh/2.0;

  redraw();
  }else{
       int ort = int(mouseX/(tastenH));println(ort);
       if(tastenWechsel){
          for(int i=0; i <anzahlT;i++) tasteAktiv[i]=false;
          tastenWechsel = false;
       }
      switch(ort){
        
      case 0://'c'   
        tasteAktiv[0]=true;
        c0 = (float)random(-2,2);
        c1 = (float)random(-2,2);
        println("c = "+c0+"+"+c1+"i");
      break;
      
      case 1: //'2'   
       tasteAktiv[1]=true;
       wahl = 2;
      break;
      
      case 2://'3'
       tasteAktiv[2]=true;
       wahl = 3;
      break;
      
     case 3://'4'
       tasteAktiv[3]=true;
       wahl = 4;
     break;
      
     case 4://'5'
         tasteAktiv[4]=true;
         wahl = 5;
      break;
      
     case 5://'6'
        tasteAktiv[5]=true;
        wahl = 6;
      break;
      
    
      
   default:
        
        println("Keine Aktion");
        break;
     }
      redraw();
  }  
}  

//-------------------------------------------------

void keyPressed() {
  if (key == '+') maxiterations *= 1.2;
  if (key == '-') maxiterations /= 1.2;
  if (key == 'c'){
    c0 = random(-1,1);
    c1 =random(-1,1);
    println("c = "+c0+"+"+c1+"i");
  }
  if (key == 's') save("biomorphST_Tasten_00.jpg");
  redraw();
}

//-------------------------------------------------
void tastenZeichnen(){
  stroke(0,0,100);
  tastenWechsel=true;
  textSize(28);
  fill(0,0,100);
  rect(width/2,height-tastenH/2,width,tastenH);
  for(int i=0; i<anzahlT; i++){
      if(tasteAktiv[i])fill(color(255,255,0));
      else fill(color(255));     
      rect(tastenH/2 + i*tastenH,height-tastenH/2,40,40);
      fill(0);
      text(tBeschriftung[i],tastenH/2-8 + i*tastenH,height-tastenH/2+8);     
  }   
  
   fill(255);
 
}
